Bug 1327999 - "dnf upgrade-to" requiring full NEVRA
"dnf upgrade-to" requiring full NEVRA
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-18 04:29 EDT by Nick Coghlan
Modified: 2016-12-15 07:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-15 07:17:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2016-04-18 04:29:10 EDT
Description of problem:

"sudo dnf upgrade-to --allowerasing docker-2:1.9.1" fails, but "sudo dnf upgrade-to --allowerasing docker-2:1.9.1-9.gitee06d03.fc23" works


Version-Release number of selected component (if applicable):

dnf-1.1.8-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Attempt to update to a specific version with just the NEV (no R or A)
2.
3.

Actual results:

Error: No packages marked for upgrade.

Expected results:

Same behaviour as when specifying the full NEVRA

Additional info:

"dnf info" works correctly when given only the NEV information
Comment 1 Fedora Admin XMLRPC Client 2016-07-08 05:39:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-25 02:23:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Michael Mráka 2016-11-28 09:56:37 EST
Still valid in rawhide - dnf-2.0.0-0.rc1.4.fc26.noarch

# dnf  upgrade-to --allowerasing docker-2:1.12.3-22.git7b5044b.fc26
Last metadata expiration check: 0:33:41 ago on Mon Nov 28 15:19:42 2016 CET.
Dependencies resolved.
==========================================================================================================
 Package                            Arch         Version                              Repository     Size
==========================================================================================================
Installing:
 docker                             x86_64       2:1.12.3-22.git7b5044b.fc26          rawhide        17 M
Installing dependencies:
...
Total download size: 24 M
Installed size: 81 M
Is this ok [y/N]: n
Operation aborted.

# dnf  upgrade-to --allowerasing docker-2:1.12.3
Last metadata expiration check: 0:34:18 ago on Mon Nov 28 15:19:42 2016 CET.
Error: No packages marked for upgrade.



CC jmracek: Jarda this seem to be yet another instance of wrong subject handling.
Comment 4 Jaroslav Mracek 2016-11-29 02:22:13 EST
Here is patch that solves the problem by making from upgrade-to alias for upgrade: https://github.com/rpm-software-management/dnf/pull/665

Note You need to log in before you can comment on or make changes to this bug.